> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transmit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1contacts

> Retrieve a paginated list of contacts for your organization



## OpenAPI

````yaml https://api.transmit.dev/openapi.json get /v1/contacts
openapi: 3.1.0
info:
  title: Transmit.dev API
  description: >-
    A powerful email API for transactional and marketing emails. Send emails
    with tracking, analytics, and webhook support.
  version: 1.0.3
servers:
  - url: https://api.transmit.dev
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Emails
    description: Email sending and management operations
  - name: SMS
    description: SMS sending and management operations with toll-free numbers
  - name: Analytics
    description: Performance analytics and metrics
  - name: Billing
    description: Credit balance and usage information
  - name: Contacts
    description: Contact management operations
  - name: Webhooks
    description: Webhook configuration and testing
paths:
  /v1/contacts:
    get:
      tags:
        - Contacts
      description: Retrieve a paginated list of contacts for your organization
      operationId: listContacts
      responses:
        '200':
          description: Contacts retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Contact ID
                        email:
                          description: Contact email address
                          type: string
                          format: email
                          pattern: >-
                            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                        phone_number:
                          description: Contact phone number
                          type: string
                        first_name:
                          description: First name
                          type: string
                        last_name:
                          description: Last name
                          type: string
                        email_subscribed:
                          type: boolean
                          description: Email subscription status
                        sms_subscribed:
                          type: boolean
                          description: SMS subscription status
                        created_at:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          description: Creation timestamp
                        updated_at:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          description: Last update timestamp
                      required:
                        - id
                        - email_subscribed
                        - sms_subscribed
                        - created_at
                        - updated_at
                  has_more:
                    type: boolean
                    description: Whether there are more results
                  next_cursor:
                    description: Cursor for next page
                    type: string
                required:
                  - data
                  - has_more
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Enter your API key with 'tx_' prefix. Get your API key from the
        dashboard.

````